Qt Utilities: QtUtilities::UpdateHandlerPrivate Struct Reference

Qt Utilities 6.21.3 Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
QtUtilities::UpdateHandlerPrivate Struct Reference
Collaboration diagram for QtUtilities::UpdateHandlerPrivate:
[legend]

## Public Member Functions
| UpdateHandlerPrivate (const QString &executableName, const QString &signatureExtension)

## Public Attributes
UpdateNotifier | notifier
Updater | updater
QTimer | timer
QSettings * | settings
std::optional< UpdateHandler::CheckInterval > | checkInterval
bool | hasCheckedOnceSinceStartup = false
bool | considerSeparateSignature = false

## Detailed Description

Definition at line 1159 of file updater.cpp.

## Constructor & Destructor Documentation

## ◆ UpdateHandlerPrivate()

QtUtilities::UpdateHandlerPrivate::UpdateHandlerPrivate | ( | const QString & | executableName,
|  | const QString & | signatureExtension )
| inlineexplicit

Definition at line 1160 of file updater.cpp.

## Member Data Documentation

## ◆ checkInterval

std::optional<UpdateHandler::CheckInterval> QtUtilities::UpdateHandlerPrivate::checkInterval

Definition at line 1169 of file updater.cpp.

## ◆ considerSeparateSignature

bool QtUtilities::UpdateHandlerPrivate::considerSeparateSignature = false

Definition at line 1171 of file updater.cpp.

## ◆ hasCheckedOnceSinceStartup

bool QtUtilities::UpdateHandlerPrivate::hasCheckedOnceSinceStartup = false

Definition at line 1170 of file updater.cpp.

## ◆ notifier

UpdateNotifier QtUtilities::UpdateHandlerPrivate::notifier

Definition at line 1165 of file updater.cpp.

## ◆ settings

QSettings* QtUtilities::UpdateHandlerPrivate::settings

Definition at line 1168 of file updater.cpp.

## ◆ timer

QTimer QtUtilities::UpdateHandlerPrivate::timer

Definition at line 1167 of file updater.cpp.

## ◆ updater

Updater QtUtilities::UpdateHandlerPrivate::updater

Definition at line 1166 of file updater.cpp.

The documentation for this struct was generated from the following file:

- setup/updater.cpp